# Place Order

## Payment request URL

### Specification <a href="#ac-ta" id="ac-ta"></a>

* **URL:** `<PARTNER_PAYMENT_URL>?key=<encrypted_key>?data=<encrypted_data>`
* **Method:** REDIRECT
* **Description:** Used to redirect users to the partner's payment system.
* **Security Requirements:** Data must be encrypted and include an electronic signature.

<details>

<summary>Model</summary>

* **key** (string, required):\
  The decryption key for the data (already encrypted).\
  Refer to the section **"Data Encryption and Electronic Signature Verification"** for decryption instructions.
* **data** (string, required):\
  Encrypted data including an electronic signature.\
  Refer to the section **"Data Encryption and Electronic Signature Verification"** for decryption instructions.

  *Signature data schema:*

  ```
  <access_code>|<booking_number>|<product_type>|<total_amount>
  ```

  *Original data schema:*

  ```
  <access_code>|<booking_number>|<product_type>|<signature>|<total_amount>
  ```

  * access\_code (String, required)

    Access code provided by Gotadi to the Partner.
  * bookingNumber (String, optional)

    Reference code used for booking.
  * product\_type (String, optional)

    Product type, with values **AIR** or **HOTEL**, corresponding to the purchased product type.
  * total\_amount (String, optional)

    Total amount to be paid.

</details>

#### Example

```url
https://partner_x.com/payment?key=...?data=...
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.gotadi.com/english/b2b2c-partner/webview-method/place-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
